sub settingsclick
if indicatorslist.itemindex=0 then
ADR112cppform.visible=1
ADR112cppform.WindowState = 0
setfocus(ADR112cppform.handle)
end if
if indicatorslist.itemindex=1 then
Anchored_VWAPform.visible=1
Anchored_VWAPform.WindowState = 0
setfocus(Anchored_VWAPform.handle)
end if
if indicatorslist.itemindex=2 then
atrchannelform.visible=1
atrchannelform.WindowState = 0
setfocus(atrchannelform.handle)
end if
if indicatorslist.itemindex=3 then
balance_point_fiboform.visible=1
balance_point_fiboform.WindowState = 0
setfocus(balance_point_fiboform.handle)
end if
if indicatorslist.itemindex=4 then
bandsform.visible=1
bandsform.WindowState = 0
setfocus(bandsform.handle)
end if
if indicatorslist.itemindex=5 then
bandscppform.visible=1
bandscppform.WindowState = 0
setfocus(bandscppform.handle)
end if
if indicatorslist.itemindex=6 then
bbhlform.visible=1
bbhlform.WindowState = 0
setfocus(bbhlform.handle)
end if
if indicatorslist.itemindex=7 then
bbhlcppform.visible=1
bbhlcppform.WindowState = 0
setfocus(bbhlcppform.handle)
end if
if indicatorslist.itemindex=8 then
bowelsform.visible=1
bowelsform.WindowState = 0
setfocus(bowelsform.handle)
end if
if indicatorslist.itemindex=9 then
cogform.visible=1
cogform.WindowState = 0
setfocus(cogform.handle)
end if
if indicatorslist.itemindex=10 then
COG_of_RSTLform.visible=1
COG_of_RSTLform.WindowState = 0
setfocus(COG_of_RSTLform.handle)
end if
if indicatorslist.itemindex=11 then
cogcppform.visible=1
cogcppform.WindowState = 0
setfocus(cogcppform.handle)
end if
if indicatorslist.itemindex=12 then
Din_fibo_highform.visible=1
Din_fibo_highform.WindowState = 0
setfocus(Din_fibo_highform.handle)
end if
if indicatorslist.itemindex=13 then
Elliot_Wave_3_Level_ZZ_Semaforform.visible=1
Elliot_Wave_3_Level_ZZ_Semaforform.WindowState = 0
setfocus(Elliot_Wave_3_Level_ZZ_Semaforform.handle)
end if
if indicatorslist.itemindex=14 then
envelopform.visible=1
envelopform.WindowState = 0
setfocus(envelopform.handle)
end if
if indicatorslist.itemindex=15 then
Envelopes_cppform.visible=1
Envelopes_cppform.WindowState = 0
setfocus(Envelopes_cppform.handle)
end if
if indicatorslist.itemindex=16 then
Hurst_FLDform.visible=1
Hurst_FLDform.WindowState = 0
setfocus(Hurst_FLDform.handle)
end if
if indicatorslist.itemindex=17 then
Ichimokuform.visible=1
Ichimokuform.WindowState = 0
setfocus(Ichimokuform.handle)
end if
if indicatorslist.itemindex=18 then
jupiter_saturn_cycleform.visible=1
jupiter_saturn_cycleform.WindowState = 0
setfocus(jupiter_saturn_cycleform.handle)
end if
if indicatorslist.itemindex=19 then
Levelsform.visible=1
Levelsform.WindowState = 0
setfocus(Levelsform.handle)
end if
if indicatorslist.itemindex=20 then
Logarithmic_Regressionform.visible=1
Logarithmic_Regressionform.WindowState = 0
setfocus(Logarithmic_Regressionform.handle)
end if
if indicatorslist.itemindex=21 then
maform.visible=1
maform.WindowState = 0
setfocus(maform.handle)
end if
if indicatorslist.itemindex=22 then
MA_Chanels_cppform.visible=1
MA_Chanels_cppform.WindowState = 0
setfocus(MA_Chanels_cppform.handle)
end if
if indicatorslist.itemindex=23 then
MA_Chanels_FiboEnv_Midform.visible=1
MA_Chanels_FiboEnv_Midform.WindowState = 0
setfocus(MA_Chanels_FiboEnv_Midform.handle)
end if
if indicatorslist.itemindex=24 then
MonthlyPivot2form.visible=1
MonthlyPivot2form.WindowState = 0
setfocus(MonthlyPivot2form.handle)
end if
if indicatorslist.itemindex=25 then
monthlypivotcppform.visible=1
monthlypivotcppform.WindowState = 0
setfocus(monthlypivotcppform.handle)
end if
if indicatorslist.itemindex=26 then
Moving_Averageform.visible=1
Moving_Averageform.WindowState = 0
setfocus(Moving_Averageform.handle)
end if
if indicatorslist.itemindex=27 then
MP_on_chartform.visible=1
MP_on_chartform.WindowState = 0
setfocus(MP_on_chartform.handle)
end if
if indicatorslist.itemindex=28 then
Murrey_Mathform.visible=1
Murrey_Mathform.WindowState = 0
setfocus(Murrey_Mathform.handle)
end if
if indicatorslist.itemindex=29 then
Overlay_Chartform.visible=1
Overlay_Chartform.WindowState = 0
setfocus(Overlay_Chartform.handle)
end if
if indicatorslist.itemindex=30 then
past_regression_deviatedform.visible=1
past_regression_deviatedform.WindowState = 0
setfocus(past_regression_deviatedform.handle)
end if
if indicatorslist.itemindex=31 then
Planetary_linesform.visible=1
Planetary_linesform.WindowState = 0
setfocus(Planetary_linesform.handle)
end if
if indicatorslist.itemindex=32 then
planetsqnform.visible=1
planetsqnform.WindowState = 0
setfocus(planetsqnform.handle)
end if
if indicatorslist.itemindex=33 then
priceclose1440form.visible=1
priceclose1440form.WindowState = 0
setfocus(priceclose1440form.handle)
end if
if indicatorslist.itemindex=34 then
RSTLform.visible=1
RSTLform.WindowState = 0
setfocus(RSTLform.handle)
end if
if indicatorslist.itemindex=35 then
smafiboform.visible=1
smafiboform.WindowState = 0
setfocus(smafiboform.handle)
end if
if indicatorslist.itemindex=36 then
Square_numbersform.visible=1
Square_numbersform.WindowState = 0
setfocus(Square_numbersform.handle)
end if
if indicatorslist.itemindex=37 then
synodic_cycleform.visible=1
synodic_cycleform.WindowState = 0
setfocus(synodic_cycleform.handle)
end if
if indicatorslist.itemindex=38 then
TD_Sequentialform.visible=1
TD_Sequentialform.WindowState = 0
setfocus(TD_Sequentialform.handle)
end if
if indicatorslist.itemindex=39 then
TMA_CGform.visible=1
TMA_CGform.WindowState = 0
setfocus(TMA_CGform.handle)
end if
if indicatorslist.itemindex=40 then
TriangularMA1Hform.visible=1
TriangularMA1Hform.WindowState = 0
setfocus(TriangularMA1Hform.handle)
end if
if indicatorslist.itemindex=41 then
TriangularMA4Hform.visible=1
TriangularMA4Hform.WindowState = 0
setfocus(TriangularMA4Hform.handle)
end if
if indicatorslist.itemindex=42 then
TSFform.visible=1
TSFform.WindowState = 0
setfocus(TSFform.handle)
end if
if indicatorslist.itemindex=43 then
vegascform.visible=1
vegascform.WindowState = 0
setfocus(vegascform.handle)
end if
if indicatorslist.itemindex=44 then
Vegascppform.visible=1
Vegascppform.WindowState = 0
setfocus(Vegascppform.handle)
end if
if indicatorslist.itemindex=45 then
Volatility_Pivot_cppform.visible=1
Volatility_Pivot_cppform.WindowState = 0
setfocus(Volatility_Pivot_cppform.handle)
end if
if indicatorslist.itemindex=46 then
VolatilityPivotform.visible=1
VolatilityPivotform.WindowState = 0
setfocus(VolatilityPivotform.handle)
end if
if indicatorslist.itemindex=47 then
VolatilityStopform.visible=1
VolatilityStopform.WindowState = 0
setfocus(VolatilityStopform.handle)
end if
if indicatorslist.itemindex=48 then
VWAPform.visible=1
VWAPform.WindowState = 0
setfocus(VWAPform.handle)
end if
if indicatorslist.itemindex=49 then
waterlevelcppform.visible=1
waterlevelcppform.WindowState = 0
setfocus(waterlevelcppform.handle)
end if
if indicatorslist.itemindex=50 then
weeklypivotcppform.visible=1
weeklypivotcppform.WindowState = 0
setfocus(weeklypivotcppform.handle)
end if
if indicatorslist.itemindex=51 then
zigzagform.visible=1
zigzagform.WindowState = 0
setfocus(zigzagform.handle)
end if
if indicatorslist.itemindex=52 then
zigzagcppform.visible=1
zigzagcppform.WindowState = 0
setfocus(zigzagcppform.handle)
end if
if indicatorslist.itemindex=53 then
ztrendine_slope_pi_ratioform.visible=1
ztrendine_slope_pi_ratioform.WindowState = 0
setfocus(ztrendine_slope_pi_ratioform.handle)
end if
if indicatorslist.itemindex=54 then
Acceleratorform.visible=1
Acceleratorform.WindowState = 0
setfocus(Acceleratorform.handle)
end if
if indicatorslist.itemindex=55 then
astro_retrogradeform.visible=1
astro_retrogradeform.WindowState = 0
setfocus(astro_retrogradeform.handle)
end if
if indicatorslist.itemindex=56 then
atrform.visible=1
atrform.WindowState = 0
setfocus(atrform.handle)
end if
if indicatorslist.itemindex=57 then
CandleAvgform.visible=1
CandleAvgform.WindowState = 0
setfocus(CandleAvgform.handle)
end if
if indicatorslist.itemindex=58 then
CoronaSwingPositionform.visible=1
CoronaSwingPositionform.WindowState = 0
setfocus(CoronaSwingPositionform.handle)
end if
if indicatorslist.itemindex=59 then
CoronaTrendVigorform.visible=1
CoronaTrendVigorform.WindowState = 0
setfocus(CoronaTrendVigorform.handle)
end if
if indicatorslist.itemindex=60 then
CyAn_1_Ftyform.visible=1
CyAn_1_Ftyform.WindowState = 0
setfocus(CyAn_1_Ftyform.handle)
end if
if indicatorslist.itemindex=61 then
declination_systemform.visible=1
declination_systemform.WindowState = 0
setfocus(declination_systemform.handle)
end if
if indicatorslist.itemindex=62 then
Directional_Volume_Indexform.visible=1
Directional_Volume_Indexform.WindowState = 0
setfocus(Directional_Volume_Indexform.handle)
end if
if indicatorslist.itemindex=63 then
DVI_valuechartform.visible=1
DVI_valuechartform.WindowState = 0
setfocus(DVI_valuechartform.handle)
end if
if indicatorslist.itemindex=64 then
Ehlersfishertransformform.visible=1
Ehlersfishertransformform.WindowState = 0
setfocus(Ehlersfishertransformform.handle)
end if
if indicatorslist.itemindex=65 then
energyform.visible=1
energyform.WindowState = 0
setfocus(energyform.handle)
end if
if indicatorslist.itemindex=66 then
fftspectroform.visible=1
fftspectroform.WindowState = 0
setfocus(fftspectroform.handle)
end if
if indicatorslist.itemindex=67 then
ForceIndexform.visible=1
ForceIndexform.WindowState = 0
setfocus(ForceIndexform.handle)
end if
if indicatorslist.itemindex=68 then
Gauquelin_sectorform.visible=1
Gauquelin_sectorform.WindowState = 0
setfocus(Gauquelin_sectorform.handle)
end if
if indicatorslist.itemindex=69 then
iadxindicatorform.visible=1
iadxindicatorform.WindowState = 0
setfocus(iadxindicatorform.handle)
end if
if indicatorslist.itemindex=70 then
irviindicatorform.visible=1
irviindicatorform.WindowState = 0
setfocus(irviindicatorform.handle)
end if
if indicatorslist.itemindex=71 then
IVolumeform.visible=1
IVolumeform.WindowState = 0
setfocus(IVolumeform.handle)
end if
if indicatorslist.itemindex=72 then
j_tpoform.visible=1
j_tpoform.WindowState = 0
setfocus(j_tpoform.handle)
end if
if indicatorslist.itemindex=73 then
LaguerreRSIform.visible=1
LaguerreRSIform.WindowState = 0
setfocus(LaguerreRSIform.handle)
end if
if indicatorslist.itemindex=74 then
LSSform.visible=1
LSSform.WindowState = 0
setfocus(LSSform.handle)
end if
if indicatorslist.itemindex=75 then
MACDonRSIform.visible=1
MACDonRSIform.WindowState = 0
setfocus(MACDonRSIform.handle)
end if
if indicatorslist.itemindex=76 then
mfiform.visible=1
mfiform.WindowState = 0
setfocus(mfiform.handle)
end if
if indicatorslist.itemindex=77 then
Moon_Phasesform.visible=1
Moon_Phasesform.WindowState = 0
setfocus(Moon_Phasesform.handle)
end if
if indicatorslist.itemindex=78 then
moon_scaleform.visible=1
moon_scaleform.WindowState = 0
setfocus(moon_scaleform.handle)
end if
if indicatorslist.itemindex=79 then
planetary_speedform.visible=1
planetary_speedform.WindowState = 0
setfocus(planetary_speedform.handle)
end if
if indicatorslist.itemindex=80 then
planetcyclesform.visible=1
planetcyclesform.WindowState = 0
setfocus(planetcyclesform.handle)
end if
if indicatorslist.itemindex=81 then
planets_scaleform.visible=1
planets_scaleform.WindowState = 0
setfocus(planets_scaleform.handle)
end if
if indicatorslist.itemindex=82 then
pricecloseform.visible=1
pricecloseform.WindowState = 0
setfocus(pricecloseform.handle)
end if
if indicatorslist.itemindex=83 then
RBCIform.visible=1
RBCIform.WindowState = 0
setfocus(RBCIform.handle)
end if
if indicatorslist.itemindex=84 then
RD_COMBOform.visible=1
RD_COMBOform.WindowState = 0
setfocus(RD_COMBOform.handle)
end if
if indicatorslist.itemindex=85 then
realMACDform.visible=1
realMACDform.WindowState = 0
setfocus(realMACDform.handle)
end if
if indicatorslist.itemindex=86 then
rsiform.visible=1
rsiform.WindowState = 0
setfocus(rsiform.handle)
end if
if indicatorslist.itemindex=87 then
smFisherTransform3nrform.visible=1
smFisherTransform3nrform.WindowState = 0
setfocus(smFisherTransform3nrform.handle)
end if
if indicatorslist.itemindex=88 then
spectrometerform.visible=1
spectrometerform.WindowState = 0
setfocus(spectrometerform.handle)
end if
if indicatorslist.itemindex=89 then
Spud2form.visible=1
Spud2form.WindowState = 0
setfocus(Spud2form.handle)
end if
if indicatorslist.itemindex=90 then
stepftvcprdlform.visible=1
stepftvcprdlform.WindowState = 0
setfocus(stepftvcprdlform.handle)
end if
if indicatorslist.itemindex=91 then
steprsiform.visible=1
steprsiform.WindowState = 0
setfocus(steprsiform.handle)
end if
if indicatorslist.itemindex=92 then
StepRSIcppform.visible=1
StepRSIcppform.WindowState = 0
setfocus(StepRSIcppform.handle)
end if
if indicatorslist.itemindex=93 then
stochasticform.visible=1
stochasticform.WindowState = 0
setfocus(stochasticform.handle)
end if
if indicatorslist.itemindex=94 then
StochasticRSIform.visible=1
StochasticRSIform.WindowState = 0
setfocus(StochasticRSIform.handle)
end if
if indicatorslist.itemindex=95 then
SwamiRSI_v1form.visible=1
SwamiRSI_v1form.WindowState = 0
setfocus(SwamiRSI_v1form.handle)
end if
if indicatorslist.itemindex=96 then
threeD_Oscilatorform.visible=1
threeD_Oscilatorform.WindowState = 0
setfocus(threeD_Oscilatorform.handle)
end if
if indicatorslist.itemindex=97 then
TSCDform.visible=1
TSCDform.WindowState = 0
setfocus(TSCDform.handle)
end if
if indicatorslist.itemindex=98 then
valuechartform.visible=1
valuechartform.WindowState = 0
setfocus(valuechartform.handle)
end if
if indicatorslist.itemindex=99 then
vcatrcform.visible=1
vcatrcform.WindowState = 0
setfocus(vcatrcform.handle)
end if
if indicatorslist.itemindex=100 then
VWAP_Oscillatorform.visible=1
VWAP_Oscillatorform.WindowState = 0
setfocus(VWAP_Oscillatorform.handle)
end if
if indicatorslist.itemindex=101 then
Weighted_WCCIform.visible=1
Weighted_WCCIform.WindowState = 0
setfocus(Weighted_WCCIform.handle)
end if
end sub
